unit UTestPBarT;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PBarTransparent, StdCtrls, ComCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Image1: TImage;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    TrackBar1: TTrackBar;
    PBarTransparent1: TPBarTransparent;
    PBarTransparent2: TPBarTransparent;
    PBarTransparent3: TPBarTransparent;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    PBarTransparent: TPBarTransparent;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if Panel1.Visible then
  begin
    Panel1.Visible := False;
    Button1.Caption := 'Show';
  end
  else
  begin
    Panel1.Visible := True;
    Button1.Caption := 'Hide';
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Image1.Picture.LoadFromFile('.\TV blu.bmp');
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Image1.Picture.LoadFromFile('.\TV rosso.bmp');
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  Image1.Picture.LoadFromFile('.\TV verde.bmp');
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
var
  perc: Integer;
  colore: TColor;
begin
  perc := Trunc(TrackBar1.Position / TrackBar1.Max * 100);
  case perc of
    0..40: colore := clGreen;
    41..73: colore := clYellow;
    74..93: colore := clGreen OR clRed;
    94..100: colore := clRed;
    else
      colore := clBlue;
  end;
//
  PBarTransparent.Position := TrackBar1.Position;
  PBarTransparent.Color := colore;
//
  PBarTransparent1.Position := TrackBar1.Position;
  PBarTransparent1.Color := colore;
//
  PBarTransparent2.Position := TrackBar1.Position;
  PBarTransparent2.Color := colore;
//
  PBarTransparent3.Position := TrackBar1.Position;
  PBarTransparent3.Color := colore;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  PBarTransparent := TPBarTransparent.Create(Self);
  PBarTransparent.Parent := Panel1;
  PBarTransparent.Top := 4;
  PBarTransparent.Left := 8;
  PBarTransparent.Width := 345;
  PBarTransparent.Max := 15;
end;

end.
